<?php

namespace Lc\CaracoleBundle\Controller\Product;

//use Lc\CaracoleBundle\Field\AssociationField;
use EasyCorp\Bundle\EasyAdminBundle\Field\AssociationField;
use EasyCorp\Bundle\EasyAdminBundle\Field\FormField;
use EasyCorp\Bundle\EasyAdminBundle\Field\NumberField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use EasyCorp\Bundle\EasyAdminBundle\Field\DateTimeField;
use Lc\CaracoleBundle\Container\Order\OrderShopContainer;
use Lc\CaracoleBundle\Controller\AdminControllerTrait;
use Lc\CaracoleBundle\Field\Address\AddressField;
use Lc\CaracoleBundle\Repository\Reduction\ReductionCatalogStore;
use Lc\SovBundle\Controller\AbstractAdminController;
use Lc\SovBundle\Field\BooleanField;
use Lc\SovBundle\Field\CKEditorField;
use Lc\SovBundle\Field\StatusField;
use Lc\SovBundle\Field\ToggleField;
use Lc\SovBundle\Translation\TranslatorAdmin;

abstract class ProductCategoryAdminController extends AbstractAdminController
{
    use AdminControllerTrait;

    public function configureFields(string $pageName): iterable
    {
        return array_merge(
            [
                FormField::addPanel('general'),
                TextField::new('title'),
                NumberField::new('position')->hideOnForm(),
                AssociationField::new('parent')->hideOnIndex(),
                DateTimeField::new('createdAt')->setFormat('short'),
                CKEditorField::new('description')->hideOnIndex(),
                ToggleField::new('saleStatus'),
                StatusField::new('status'),

            ],
            $this->getSeoPanel(),
            $this->getConfPanel()
        );
    }

}
